summaryrefslogtreecommitdiff
path: root/resources/scripts/update/blobs/extract
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-08-27 09:25:50 +0100
committerLeah Rowe <leah@libreboot.org>2023-08-27 09:25:50 +0100
commit5a47c01b11a7fc25f7fae0685d288a78220b954a (patch)
tree26394c5de89020eb2d6fc143dd9b3349581d6cf4 /resources/scripts/update/blobs/extract
parent1c8401be25e4749a2eee5ddc77ce7c6ac880c910 (diff)
scripts: put quotes around file/directory names
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'resources/scripts/update/blobs/extract')
-rwxr-xr-xresources/scripts/update/blobs/extract17
1 files changed, 8 insertions, 9 deletions
diff --git a/resources/scripts/update/blobs/extract b/resources/scripts/update/blobs/extract
index b6b3af3b..fa76dfb5 100755
--- a/resources/scripts/update/blobs/extract
+++ b/resources/scripts/update/blobs/extract
@@ -88,28 +88,27 @@ extract_blobs()
# Cleans up other files extracted with ifdtool
rm -f flashregion*.bin || err "extract_blobs: !rm -f flashregion*.bin"
- [ -f ${_ifd_destination} ] || err "extract_blobs: Could not extract IFD"
- printf "gbe, ifd, and me extracted to %s\n" \
- "${_me_destination%/*}"
+ [ -f "${_ifd_destination}" ] || err "extract_blobs: Cannot extract IFD"
+ printf "gbe, ifd, and me extracted to %s\n" "${_me_destination%/*}"
}
extract_blob_intel_me()
{
printf "extracting clean ime and modified ifd\n"
- ${mecleaner} -D ${_ifd_destination} \
- -M ${_me_destination} ${vendor_rom} -t -r -S || \
- ${me7updateparser} \
- -O ${_me_destination} ${vendor_rom} || \
+ "${mecleaner}" -D "${_ifd_destination}" \
+ -M "${_me_destination}" "${vendor_rom}" -t -r -S || \
+ "${me7updateparser}" \
+ -O "${_me_destination}" "${vendor_rom}" || \
err "extract_blob_intel_me: cannot extract from vendor rom"
}
extract_blob_intel_gbe_nvm()
{
printf "extracting gigabit ethernet firmware"
- ./${ifdtool} -x ${vendor_rom} || \
+ ./"${ifdtool}" -x "${vendor_rom}" || \
err "extract_blob_intel_gbe_nvm: cannot extract gbe.bin from rom"
- mv flashregion*gbe.bin ${_gbe_destination} || \
+ mv flashregion*gbe.bin "${_gbe_destination}" || \
err "extract_blob_intel_gbe_nvm: cannot move gbe.bin"
}